Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties	(revision 3858)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/messages.properties	(revision 3859)
@@ -3,13 +3,21 @@
 anErrorOccuredWhileGettingRWorkspaceInsanceColon=An error occurred while getting R workspace\: 
 checkingRPackages=Checking R packages…
 connectingRConsoleToRWorkspaceStdoutAndStderr=Connecting RConsole to RWorkspace stdout and stderr.
+DefaultPackageRepository=Default package repository
 eRRORColonREvalIsNotAListColon=** Error\: REval is not a list\: 
 eRRORColonREvalListSizeIs0Colon=** Error\: REval list is empty\: 
 eRRORColonRlistFirstElementIsNotREXPIntegerColon=** ERROR\: Rlist first element is not an REXPInteger\: 
 errorWhileInitializingRConsoleColon=** Error while initializing the R console\: 
 errorWhileInstallingPackageColon=** Error while installing package\: 
+ErrorWhileInstallingRDependencyOfP0P1P2=Error while installing R dependency of {0} : {1} : {2}
+ErrorWhileTEstingPackageP0=Error while testing package: {0}.
+FailedToSendToR=Failed to send to R: 
 installedSuccessfully=' installed successfully.
+LogTheREvalCommandLines=Log the R eval command lines
 necessaryPackagesAreReady=Necessary packages are ready.
+P0HasBeenCopiedInTheP1RVariable=''{0}'' has been copied in the ''{1}'' R variable.
+P0PackageNotInstalledErrorP1={0} package not installed. Error={1}.
+P0WasNotTransferedToTheRWorkspace=** ''{0}'' was not transfered to the R workspace.
 password=Password
 pathToRBinary=Path to the R executable file
 portDefaultIs6311=Port (default value\: 6311)
@@ -24,10 +32,15 @@
 serverAddress=Server address
 showEvalLogs=Showing R evaluation logs
 somePackagesAreMissingSeeConsoleForDetails=Some packages are missing. See the console for details.
+TheP0PackageIsNotInstalledTryingToInstallItNow=The '{0}' package is not installed. Trying to install it now...
+TheP0PackageWasNotInstalledCorrecltyPleaseInstallItManually=The '{0}' package was not installed correctly. Please install it manually:\n * Run R\n * and execute 'install.packages("{1}"')
+TryingToInstallTheP0DependencyOfP1Now=Trying to install the {0} dependency of {1} now...
 theRStatEngineIsNotRunningTryingToReinstallThePackagesRServeFactoMineRTextometry=The R statistical engine is not accessible. Try to reinstall R packets needed for TXM (Rserve, FactoMineR, textometry...)
 tXMCouldNotLoadTheFactoMineRRPackageTheCorrespondanceAnalysisClassificationCommandsWontBeAvailable=TXM could not load the 'FactoMineR' R package. The Correspondance analysis, Classification commands won't be available
 tXMCouldNotLoadTheTextometryRPackageTheCooccurenceSpecificityAndProgressionCommandsWontBeAvailable=TXM could not load the 'textometry' R package. The Cooccurence, Specificity and Progression commands will not be available
 tXMCouldNotReinstallRPackagesPleaseDoItManuallySeeManual=TXM could not re-install R packages. Please do it manually (see manual).
 tXMNameP0SupSupRNameP1="TXM name {0} >> R name {1}
+UpdateOfP0FailedCurrentVersionIsStillP1=Update of '{0}' failed (current version is still {1}). Warning: Windows users need to restart TXM.
+UpdatingTheP0P1RPackageUpToVersionP2=Updating the '{0}' ({1}) R package up to version {2}...
 useFileBasedRDataTransfert=Use file based R data transfert
 user=User
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 3858)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 3859)
@@ -44,12 +44,38 @@
 	public static String sendingToRWorkspaceColon; 
 	public static String refreshingViews; 
 
-	public static String connectingRConsoleToRWorkspaceStdoutAndStderr; 
-	public static String errorWhileInitializingRConsoleColon; 
+	public static String connectingRConsoleToRWorkspaceStdoutAndStderr;
+
+	public static String DefaultPackageRepository; 
+	public static String errorWhileInitializingRConsoleColon;
+
+	public static String ErrorWhileInstallingRDependencyOfP0P1P2;
+
+	public static String ErrorWhileTEstingPackageP0;
+
+	public static String FailedToSendToR;
+
+	public static String LogTheREvalCommandLines;
+
+	public static String P0HasBeenCopiedInTheP1RVariable;
+
+	public static String P0PackageNotInstalledErrorP1;
+
+	public static String P0WasNotTransferedToTheRWorkspace; 
 	public static String refreshVariables; 
-	public static String showEvalLogs; 
+	public static String showEvalLogs;
+
+	public static String TheP0PackageIsNotInstalledTryingToInstallItNow;
+
+	public static String TheP0PackageWasNotInstalledCorrecltyPleaseInstallItManually;
+
+	public static String TryingToInstallTheP0DependencyOfP1Now; 
 	public static String tXMNameP0SupSupRNameP1; 
 
+	public static String UpdateOfP0FailedCurrentVersionIsStillP1;
+
+	public static String UpdatingTheP0P1RPackageUpToVersionP2;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, RUIMessages.class);
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 3858)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 3859)
@@ -86,19 +86,19 @@
 					int delta = 100 / list.size();
 					for (Object o : list) {
 						if (o instanceof RResult) {
-							Log.info(NLS.bind("''{0}'' has been copied in the ''{1}'' R variable.", ((RResult)o).toString(),  ((RResult)o).getRSymbol()));
+							Log.info(NLS.bind(RUIMessages.P0HasBeenCopiedInTheP1RVariable, ((RResult)o).toString(),  ((RResult)o).getRSymbol()));
 						} else if (o instanceof TXMResult) {
 							try {
 								monitor.subTask(RUIMessages.sendingToRWorkspaceColon + o);
 								this.acquireSemaphore();
 								String symbol = send((TXMResult) o);
 								if (symbol == null) {
-									Log.info(NLS.bind("** ''{0}'' was not transfered to the R workspace.", o));
+									Log.info(NLS.bind(RUIMessages.P0WasNotTransferedToTheRWorkspace, o));
 									this.releaseSemaphore();
 									return Status.CANCEL_STATUS;
 								}
 								else {
-									Log.info(NLS.bind("''{0}'' has been copied in the ''{1}'' R variable.", o.toString(), symbol));
+									Log.info(NLS.bind(RUIMessages.P0HasBeenCopiedInTheP1RVariable, o.toString(), symbol));
 								}
 								this.releaseSemaphore();
 								
@@ -106,7 +106,7 @@
 								
 							}
 							catch (Exception e) {
-								System.out.println("Failed to send to R: " + o);
+								System.out.println(RUIMessages.FailedToSendToR + o);
 								org.txm.utils.logger.Log.printStackTrace(e);
 							}
 						}
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 3858)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 3859)
@@ -117,7 +117,7 @@
 				}
 				catch (Exception e) {
 					Log.printStackTrace(e);
-					Log.severe(TXMCoreMessages.bind("{0} package not installed. Error={1}.", p, e));
+					Log.severe(TXMCoreMessages.bind(RUIMessages.P0PackageNotInstalledErrorP1, p, e));
 					ret = false;
 				}
 				
@@ -128,13 +128,13 @@
 					}
 					catch (Exception e) {
 						Log.printStackTrace(e);
-						Log.warning(TXMCoreMessages.bind("Error while testing package: {0}.", e));
+						Log.warning(TXMCoreMessages.bind(RUIMessages.ErrorWhileTEstingPackageP0, e));
 						ret = false;
 					}
 				}
 				else { // package is not present, try installing it
 					try {
-						Log.info(TXMCoreMessages.bind("The '{0}' package is not installed. Trying to install it now...", p));
+						Log.info(TXMCoreMessages.bind(RUIMessages.TheP0PackageIsNotInstalledTryingToInstallItNow, p));
 						
 						try {
 							rw.eval("detach(\"package:" + p + "\", character.only = TRUE)"); //$NON-NLS-1$ //$NON-NLS-2$
@@ -146,11 +146,11 @@
 						if (depends.containsKey(p)) {
 							for (String dep : depends.get(p)) {
 								try {
-									Log.info(TXMCoreMessages.bind("Trying to install the {0} dependency of {1} now...", dep, p));
+									Log.info(TXMCoreMessages.bind(RUIMessages.TryingToInstallTheP0DependencyOfP1Now, dep, p));
 									rw.eval("install.packages(\"" + dep + "\", dependencies=TRUE, method=\"" + method + "\", repos=\"http://cran.rstudio.com\");"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 								}
 								catch (Exception e) {
-									Log.warning(TXMCoreMessages.bind("Error while installing R dependency of {0} : {1} : {2}", p, dep, e));
+									Log.warning(TXMCoreMessages.bind(RUIMessages.ErrorWhileInstallingRDependencyOfP0P1P2, p, dep, e));
 									Log.printStackTrace(e);
 									ret = false;
 								}
@@ -166,7 +166,7 @@
 						}
 						catch (Exception e) {
 							Log.printStackTrace(e);
-							Log.warning(TXMCoreMessages.bind("The '{0}' package was not installed correctly. Please install it manually:\n * Run R\n * and execute 'install.packages(\"{1}\"')", p, p));
+							Log.warning(TXMCoreMessages.bind(RUIMessages.TheP0PackageWasNotInstalledCorrecltyPleaseInstallItManually, p, p));
 							ret = false;
 						}
 					}
@@ -249,7 +249,7 @@
 		// System.out.println("comp "+(packages.get(p))+" to "+(v));
 		// System.out.println(packages.get(p).compareTo(v));
 		if (packages.get(p).compareTo(currentVersion) > 0) {
-			System.out.println(TXMCoreMessages.bind("Updating the '{0}' ({1}) R package up to version {2}...", p, currentVersion, packages.get(p)));
+			System.out.println(TXMCoreMessages.bind(RUIMessages.UpdatingTheP0P1RPackageUpToVersionP2, p, currentVersion, packages.get(p)));
 			
 			try {
 				rw.eval("detach(\"package:" + p + "\", character.only = TRUE)"); //$NON-NLS-1$ //$NON-NLS-2$
@@ -268,7 +268,7 @@
 			} // reload it
 			String newVersion = getVersion(rw, p);
 			if (!newVersion.equals(packages.get(p))) {
-				System.out.println(TXMCoreMessages.bind("Update of '{0}' failed (current version is still {1}). Warning: Windows users need to restart TXM.", p, newVersion));
+				System.out.println(TXMCoreMessages.bind(RUIMessages.UpdateOfP0FailedCurrentVersionIsStillP1, p, newVersion));
 				return false;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 3858)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 3859)
@@ -149,9 +149,9 @@
 		changeFieldStates(RPreferences.getInstance().getBoolean(RPreferences.REMOTE));
 		
 		
-		addField(new BooleanFieldEditor(RPreferences.SHOW_EVAL_LOGS, "Log the R eval command lines", getFieldEditorParent()));
+		addField(new BooleanFieldEditor(RPreferences.SHOW_EVAL_LOGS, RUIMessages.LogTheREvalCommandLines, getFieldEditorParent()));
 		
-		r_repos = new StringFieldEditor(RPreferences.DEFAULT_REPOS, "Defautl package repository", getFieldEditorParent());
+		r_repos = new StringFieldEditor(RPreferences.DEFAULT_REPOS, RUIMessages.DefaultPackageRepository, getFieldEditorParent());
 		addField(r_repos);
 		
 	}
@@ -213,7 +213,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesColonP0, e));
+			System.err.println(NLS.bind("", e)); //$NON-NLS-1$
 		}
 		return true;
 	}
